%global _hardened_build 1

%{!?_syprefix: %define _syprefix /opt/symas }
%{!?_etcfix: %define _etcfix %{_syprefix}/etc }
%{!?_sylibdir: %define _sylibdir %{_syprefix}/lib }
%{!?_varfix: %define _varfix /var/symas }
%{!?_datesuffix: %define _datesuffix 20230223 }

Name:		symas-slapo-alias
Version:	2.6.4
Release:	1+%{_datesuffix}%{?dist}
Summary:	slapo-alias package

License:	BSD
URL:		https://www.openldap.org
Source:		%{name}-%{version}.tar.gz

BuildRequires:	symas-openldap-moddev == 2.6.4
Requires:	symas-openldap-libs == 2.6.4, symas-openldap-servers == 2.6.4

Patch0: 01-Add-Makefile.patch

%description
slapo-alias package

%prep
%setup -nq slapo-alias-%{version}.tar.gz
%patch0 -p1

%build
make
#make RTSUFFIX=%{_datesuffix}
#make prefix=%{_syprefix} LDAP_INC="-I%{_syprefix}/include -I%{_syprefix}/include/moddev" LDAP_LIB="-L%{_sylibdir} -llber -lldap" \
#	LIBTOOL=%{_syprefix}/bin/moddev/libtool libexecdir=%{_sylibdir}

%install
#make install
make install DESTDIR=%{buildroot}
#make install DESTDIR=%{buildroot} RTSUFFIX=%{_datesuffix}
#make install DESTDIR=%{buildroot} prefix=%{_syprefix} libexecdir=%{_sylibdir} LIBTOOL=%{_syprefix}/bin/moddev/libtool
rm -f %{buildroot}%{_sylibdir}/openldap/alias.a

%files
%{_sylibdir}/openldap/alias*
%{_syprefix}/share/man/man5/slapo-alias.5

%changelog
* Thu Feb 23 2023 Symas Support <support@symas.com> - 2.6.4-1+%{_datesuffix}
- code update
* Mon Feb 20 2023 Symas Support <support@symas.com> - 2.6.4-1+%{_datesuffix}
- Initial release for alias
